//********************************************************************************************************************************
//*                                                                                                                              *
//*     TCP Server-Client Library 1.0.32.74  3delite 2013-2020                                                                  *
//*     See TCP Server-Client Library ReadMe.txt for details                                                                     *
//*                                                                                                                              *
//* Two licenses are available for commercial usage of this component:                                                           *
//* Shareware License: 50                                                                                                       *
//* Commercial License: 250                                                                                                     *
//*                                                                                                                              *
//*     http://www.shareit.com/product.html?productid=300591476                                                                  *
//*                                                                                                                              *
//* Using the component in free programs is free.                                                                                *
//*                                                                                                                              *
//*     https://www.3delite.hu/Object%20Pascal%20Developer%20Resources/TCPServerClientLibrary.html                               *
//*                                                                                                                              *
//* For other Delphi components see the home page:                                                                               *
//*                                                                                                                              *
//*     https://www.3delite.hu/                                                                                                  *
//*                                                                                                                              *
//* If you have any questions or enquiries please mail: 3delite@3delite.hu                                                       *
//*                                                                                                                              *
//* Good coding! :)                                                                                                              *
//* 3delite                                                                                                                      *
//********************************************************************************************************************************

{$IF CompilerVersion >= 24}
    {$LEGACYIFEND ON}
{$IFEND}

// Make this $DEFINE to build with OpenSSL when building for iOS
{.$DEFINE TCPSCL_OPENSSSL_IOS}

// Make this $DEFINE to use Indy 10.6 (Delphi XE4 and above)
{.$DEFINE INDY_ENCODING}

//Delphi & CBuilder XE4
{$IFDEF VER250}
  {$DEFINE INDY_ENCODING}
{$ENDIF}

{$IFDEF IOS}
    {$DEFINE TCPSCL_MOBILE}
{$ENDIF}

{$IFDEF ANDROID}
    {$DEFINE TCPSCL_MOBILE}
{$ENDIF}

{$IF CompilerVersion >= 20} 
    {$DEFINE TCPSCL_GENERICS}
{$IFEND}

{$IF CompilerVersion >= 25}
    {$DEFINE TCPSCL_DELPHI_XE5}
    {$DEFINE INDY_ENCODING}
    {$DEFINE INDY_ENCODING_XE5}
{$IFEND}

{$IF CompilerVersion < 34}
    {$IFDEF TCPSCL_MOBILE}
        {$DEFINE TCPSCL_GENERICS_CONTEXTLIST}
    {$ENDIF}
{$IFEND}
